Bug 176737 - ddc probe don't working when using DVI-D (but X.org can do it!)
ddc probe don't working when using DVI-D (but X.org can do it!)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
http://d.interbild.net/vstoykov/tmp/b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-31 08:23 EST by Valentin Stoykov
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-01 02:10:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
configuration file (26.29 KB, text/plain)
2005-12-31 08:27 EST, Valentin Stoykov
no flags Details
The X.org's log when using DVI-D cable (36.72 KB, text/plain)
2005-12-31 08:28 EST, Valentin Stoykov
no flags Details
The X.org's log when using old analogue cable (36.70 KB, text/plain)
2005-12-31 08:31 EST, Valentin Stoykov
no flags Details

  None (edit)
Description Valentin Stoykov 2005-12-31 08:23:32 EST
http://d.interbild.net/vstoykov/tmp/bugs/kudzu_bug_report/

Description of problem:
~~~~~~~~~~~~~~~~~~~~~~~~

When the monitor is connected via DVI-D cable, kudzu can't do ddc probe (X.org
can do it).

Version-Release number of selected component (if applicable):
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
valentin@darkstar:~$ cat /etc/slackware-version
Slackware 10.2.0
valentin@darkstar:~$ ls /var/log/packages/
a2ps-4.13b-i386-2                    guarddog-2.4.0-i486-vs3                   
                 nc-1.10-i386-1
aaa_base-10.2.0-noarch-2             gucharmap-1.4.1-i486-2                    
                 ncftp-3.1.9-i486-1
aaa_elflibs-10.2.0-i486-3            guidedog-1.0.0-i486-vs1                   
                 ncurses-5.5.1-i486-vs00
aalib-1.4rc5-i386-1                  guile-1.6.7-i486-1                        
                 netpbm-10.18.12-i486-1
abiword-2.2.9-i486-1vs1              gv-3.5.8-i386-1                           
                 netpipes-4.2-i386-1
acpid-1.0.4-i486-2                   gzip-1.3.3-i386-2                         
                 netwatch-1.0a-i386-1
alsa-lib-1.0.9-i486-1                hdparm-6.1-i486-1                         
                 nfs-utils-1.0.7-i486-1
alsa-oss-1.0.9-i486-1                hotplug-2004_09_23-noarch-5               
                 nmap-3.93-i486-1
alsa-utils-1.0.9a-i486-2vs1          hpijs-1.7-i486-1                          
                 normalize-0.7.6-i486-1
apache-1.3.33-i486-1                 hwdata_vs-0.159.1-noarch-0                
                 ntfsprogs-1.11.2.3-i486-vs0
apmd-3.0.2-i386-1                    hwsetup-1.0.14.vs2-i486-0                 
                 openoffice.org-2.0.1-i386-vs2
arts-1.5.0-i486-1                    imagemagick-6.2.3_3-i486-1                
                 openssh-4.2p1-i486-1
aspell-0.60.2-i486-1                 imlib-1.9.15-i486-1                       
                 openssl-0.9.7g-i486-1
aspell6_bg-0.02-noarch-vslive6       indent-2.2.9-i386-1                       
                 openssl-solibs-0.9.7g-i486-1
aspell-en-6.0_0-noarch-3             inetd-1.79s-i486-7                        
                 oprofile-0.9.1-i486-1
at-3.1.8-i486-2                      infozip-5.52-i486-1                       
                 p2c-1.21alpha2-i386-1
atk-1.9.1-i486-1                     iptables-1.3.3-i486-1                     
                 pango-1.8.2-i486-1
audiofile-0.2.6-i486-1               irssi-0.8.9-i486-7                        
                 parted-1.6.23.3-i486-vs0
aumix-2.8-i486-1                     isapnptools-1.26-i386-1                   
                 pciutils-2.1.11-i486-6
autoconf-2.59-noarch-1               jfsutils-1.1.8-i486-1                     
                 pcmcia-cs-3.2.8-i486-1
autofs-3.1.7-i386-1                  k3b-0.12.4a-i486-vs0                      
                 pcre-6.4-i486-1
automake-1.9.5-noarch-1              k3b_i18n_bg-0.12.4a-i486-vs1              
                 perl-5.8.7-i486-1
bash-3.0-i486-3                      kbd-1.12-i486-2vs4                        
                 php-4.4.0-i486-4
bc-1.06-i386-2                       kbgoffice-1.7-i486-vs3                    
                 pilot-link-0.11.8-i486-2
bgoffice_full_pack-1.6-noarch-vs2    kdeaccessibility-3.5.0-i486-1             
                 pkgconfig-0.15.0-i486-1
bin-10.2-i486-1                      kdeaddons-3.5.0-i486-1                    
                 pkgtools-10.2.0-i486-5vs1
bin86-0.16.15-i486-1                 kdeadmin-3.5.0-i486-1                     
                 pmake-2.1.35-i386-2
bind-9.3.1-i486-1                    kdeartwork-3.5.0-i486-1                   
                 popt-1.7-i386-1
binutils-2.15.92.0.2-i486-3          kdebase-3.5.0-i486-1                      
                 portmap-5.0-i486-1
bison-1.35-i386-1                    kdebindings-3.5.0-i486-1                  
                 ppp-2.4.4b1-i486-1
bmp-0.9.7-i486-vs7                   kdeedu-3.5.0-i486-1                       
                 pptp-1.7.0-i486-vs1
bmp_skins_vslive-noarch-1            kdegames-3.5.0-i486-1                     
                 procps-3.2.5-i486-1
byacc-1.9-i386-1                     kdegraphics-3.5.0-i486-1                  
                 proftpd-1.2.10-i486-4
bzip2-1.0.3-i486-1                   kde-i18n-bg-3.5.0-noarch-1                
                 progsreiserfs-0.3.0.4.4-i486-vs2
cbgoffice-1.2-i486-vs2               kdelibs-3.5.0-i486-1                      
                 prozilla-1.3.6-i486-vslive3
ccache-2.4-i486-1                    kdemultimedia-3.5.0-i486-1                
                 python-2.4.1-i486-1
cdparanoia-IIIalpha9.8-i386-1        kdenetwork-3.5.0-i486-1                   
                 python-demo-2.4.1-noarch-1
cdrdao-1.1.9-i486-1vs1               kdepim-3.5.0-i486-1                       
                 python-tools-2.4.1-noarch-1
cdrtools-2.01-i486-1vs1              kdesdk-3.5.0-i486-1                       
                 qemu-0.7.0-k8-vs0
checkinstall-1.5.3-i386-1            kdetoys-3.5.0-i486-1                      
                 qt-3.3.4-i486-2
clamav-0.86.2-i486-vs4               kdetv-0.8.8-i486-vs0                      
                 qtparted-0.4.4.5-i486-vs0
clisp-2.35-i486-1                    kdeutils-3.5.0-i486-1                     
                 quota-3.12-i486-1
coreutils-5.2.1-i486-1               kdevelop-3.3.0-i486-2                     
                 rcs-5.7-i386-1
cpio-2.5-i386-1                      kdewebdev-3.5.0-i486-1                    
                 rdist-6.1.5-i386-1
cscope-15.5-i486-2                   kernel_docs-2.6.13.2-noarch-24092005      
                 readline-4.3-i486-3
cups-1.1.23-i486-1                   kernel-headers-2.4.31-i386-1              
                 reiserfsprogs-3.6.19-i486-1
cvs-1.11.20-i486-1                  
kernel_vslive-2.6.13.2.mppe.mppc.1.3-i586-24092005          rexima-1.4-i486-1
cxxlibs-5.0.7-i486-1                
kernel_vslive_modules-2.6.13.2.mppe.mppc.1.3-i586-24092005  rpm-4.2.1-i486-3
cyrus-sasl-2.1.21-i486-1             klamav-0.22.1-i486-vs3                    
                 rp-pppoe-3.6-i486-1
db31-3.1.17-i486-1                   knemo-0.3.1-i486-vs3                      
                 rsync-2.6.6-i486-1
db3-3.3.11-i486-4                    koffice-1.4.2-i486-1                      
                 rxvt-2.7.10-i486-2
db4-4.2.52-i486-2                    koffice-l10n-bg-1.4.2-noarch-1            
                 rzip-2.0-i486-2
dbdiff-2.2-vslive2                   kplayer-0.5.3-i486-vs3                    
                 samba-3.0.20-i486-2vs1
dcron-2.3.3-i486-5                   kudzu_dev-1.1.36-i486-vs2                 
                 sane-1.0.16-i486-1
ddcxinfo-knoppix-0.6_5-i686-vslive1  lcms-1.14-i486-1                          
                 screen-4.0.2-i486-1
devs-2.3.1-noarch-22                 less-382-i486-1                           
                 sdl-1.2.9-i486-1
dhcp-3.0.3-i486-1                    lesstif-0.94.4-i486-1                     
                 sed-4.0.9-i486-2
dhcpcd-1.3.22pl4-i486-2              lftp-3.2.1-i486-1                         
                 seejpeg-1.10-i386-1
dietlibc-0.28.1-i486-vs1             libao-0.8.6-i486-1                        
                 sendmail-8.13.4-i486-1
diffutils-2.8.1-i386-1               libart_lgpl-2.3.17-i486-1                 
                 sgml-tools-1.0.9-i486-12
distcc-2.18.3-i486-2                 libcaca-0.9-i486-2                        
                 shadow-4.0.3-i486-11
djvulibre-3.5.14-i486-vs3            libexif-0.6.12-i486-2                     
                 shared-mime-info-0.16-i486-1
dnsmasq-2.23-i486-1                  libglade-2.4.2-i486-1                     
                 skin_plastik_for_mplayer-2.0-noarch-vs1
dvd+rw-tools-5.21.4.10.8-i486-1      libgphoto2-2.1.6-i486-vs1                 
                 slang-1.4.9-i486-1
e2fsprogs-1.38-i486-2                libgsf-1.12.1-i486-1                      
                 slang_utf8-1.4.9-i486-vs1
elvis-2.2_0-i486-2                   libgtkhtml-2.6.3-i486-1                   
                 slocate-2.7-i486-3
esound-0.2.36-i486-1                 libid3tag-0.15.1b-i486-1                  
                 smartmontools-5.33-i486-1
espgs-8.15rc4-i486-1                 libidl-0.8.5-i486-1                       
                 sox-12.17.8-i486-1
etc-5.1-noarch-10vs10                libidn-0.5.17-i486-1                      
                 startup-notification-0.8-i486-1
expat-1.95.8-i486-1                  libieee1284-0.2.10-i486-1                 
                 strace-4.5.4-i486-1
findutils-4.1.7-i386-1               libjpeg-6b-i386-4                         
                 subversion-1.2.3-i486-1
flac-1.1.2-i486-2                    libmad-0.15.1b-i486-1                     
                 sudo-1.6.8p9-i486-1
flex-2.5.4a-i486-3                   libmikmod-3.1.11a-i486-1                  
                 svgalib-1.4.3-i386-2
floppy-5.4-i386-3                    libmng-1.0.5-i486-1                       
                 SVGATextMode-1.10-i386-vslive1
fonts_vslive-2.5-noarch-1            libogg-1.1.2-i486-1                       
                 sysklogd-1.4.1-i486-9
fonts_vslive_cp1251-2.5-noarch-vs1   libpng-1.2.8-i486-1                       
                 syslinux-2.13-i486-1
fribidi-0.10.5-i486-1                librsvg-2.8.1-i486-1                      
                 sysvinit-2.84-i486-56vs3
gawk-3.1.5-i486-1                    libsigc++-2.0.16-i486-vs0                 
                 t1lib-5.1.0-i486-1
gbgoffice-1.3-i486-vs2               libtermcap-1.2.3-i486-6                   
                 taglib-1.4-i486-1
gcc-3.3.6-i486-1                     libtheora-1.0alpha4-i486-vs0              
                 tar-1.15.1-i486-1
gcc-g++-3.3.6-i486-1                 libtiff-3.7.3-i486-1                      
                 tcpip-0.17-i486-35vs1
gcc-g77-3.3.6-i486-1                 libtool-1.5.20-i486-1                     
                 tcsh-6.14.00-i486-1
gcc-gnat-3.3.6-i486-1                libungif-4.1.3-i486-1                     
                 texinfo-4.8-i486-1
gcc-java-3.3.6-i486-1                libusb-0.1.8-i486-1                       
                 traceroute-1.4a12-i386-2
gcc-objc-3.3.6-i486-1                libvorbis-1.1.1-i486-1                    
                 tvtime-0.9.15-i486-vs3
gdb-6.3-i486-1                       libwmf-0.2.8.3-i486-1                     
                 udev-064-i486-2
gdbm-1.8.3-i486-3                    libwmf-docs-0.2.8.3-noarch-1              
                 umsdos-progs-1.13-i386-1
gdk-pixbuf-0.22.0-i486-1             libwpd-0.8.2-i486-1                       
                 usbutils-0.11-i486-3
genpower-1.0.3-i486-1                libxml2-2.6.21-i486-1                     
                 utempter-1.1.3-i486-1
gettext-0.14.3-i486-1                libxslt-1.1.15-i486-1                     
                 util-linux-2.12p-i486-2
gettext-tools-0.14.3-i486-1          licq-1.3.2-i486-vs0                       
                 vim-6.3.086-i486-1
getty-ps-2.1.0b-i486-1               lilo-22.5.9-i486-2                        
                 vorbis-tools-1.1.1-i486-1
gimp-2.2.8-i486-1                    links-2.1pre18-i486-1                     
                 vslive_misc-1.1-vs1
gimp-print-4.2.7-i486-1              linux-faqs-20030907-noarch-1              
                 wget-1.10.1-i486-3
gkrellm-2.2.7-i486-1                 linux-howtos-20050718-noarch-1            
                 whois-4.6.16-i486-1
glib-1.2.10-i386-2                   logrotate-3.6.8-i486-1                    
                 wireless-tools-27-i486-2
glib2-2.6.6-i486-1                   lsof-4.72-i486-1                          
                 workbone-2.40-i386-3
glibc-2.3.5-i486-5vs3                lynx-2.8.5rel.1-i486-2                    
                 wv2-0.2.2-i486-1
glibc-profile-2.3.5-i486-5           m4-1.4.2-i486-1                           
                 wxGTK-2.4.2-i486-vs1
glibc-solibs-2.3.5-i486-5            make-3.80-i386-1                          
                 x11-6.8.2-i486-3vs3
glibc-zoneinfo-2.3.5-noarch-5vs1     man-1.5p-i486-1                           
                 x11-devel-6.8.2-i486-3
glibmm-2.4.8-i486-vs0                man-pages-1.64-noarch-1                   
                 x11-docs-6.8.2-noarch-3
glut-3.7-i486-1                      mc-4.6.1utf8-i486-vs0                     
                 x11-fonts-misc-6.8.2-noarch-3
gmp-4.1.4-i486-2                     mhash-0.9.2-i486-1                        
                 x11-xdmx-6.8.2-i486-3
gnet-2.0.7-i486-3                    minicom-2.1-i486-2                        
                 x11-xnest-6.8.2-i486-3
gnupg-1.2.7-i486-1                   mkinitrd-1.0.1-i486-3                     
                 x11-xvfb-6.8.2-i486-3
gparted-0.0.8.1-i486-vs2             mod_ssl-2.8.24_1.3.33-i486-1              
                 x3270-3.3.2p1-i486-1
gphoto2-2.1.6-i486-vs3               module-init-tools-3.1-i486-1              
                 xaw3d-1.5-i386-3
gpm-1.19.6-i486-6                    most-4.9.5-i486-1                         
                 xfsprogs-2.6.13-i486-1
gqview-1.4.5-i486-vslive2            mozilla-firefox-1.0.6-i686-2              
                 xpdf-3.01-i486-2
grep-2.5-i386-2                      mozilla-thunderbird-1.0.6-i686-1          
                 xsane-0.97-i486-1
groff-1.19.1-i486-3                  mpeg_lib-1.3.1-i386-2                     
                 xxgdb-1.12-i386-1
gtk+-1.2.10-i386-3                   mpg321-0.2.10-i486-2                      
                 zlib-1.2.3-i486-1
gtk+2-2.6.10-i486-1                  mplayer-1.0pre7-i686-vs11                 
                 zvbi-0.2.16-i486-vs2
gtkam-0.1.12-i486-vs3                mysql-4.1.14-i486-1
gtkmm-2.4.11-i486-vs0                nasm-0.98.38-i486-1
valentin@darkstar:~$    


How to reproduce and actual results:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
When the monitor is connected via DVI-D cable:

valentin@darkstar:~/lab$ rpm2targz kudzu-1.2.16-1.src.rpm
valentin@darkstar:~/lab$ tar -zxf kudzu-1.2.16-1.src.tar.gz
valentin@darkstar:~/lab$ tar -zxf kudzu-1.2.16.tar.gz
valentin@darkstar:~/lab$ cd kudzu-1.2.16
valentin@darkstar:~/lab/kudzu-1.2.16$ cd ddcprobe/
valentin@darkstar:~/lab/kudzu-1.2.16/ddcprobe$ make
gcc -E -M -Wall -O2 -g *.c > .depend
gcc -Wall -O2 -g   -c -o common.o common.c
gcc -Wall -O2 -g   -c -o ddcprobe.o ddcprobe.c
gcc -Wall -O2 -g -o ddcprobe vesamode.o common.o lrmi.o vbe.o ddcprobe.o
gcc -Wall -O2 -g   -c -o ddcxinfo.o ddcxinfo.c
gcc -Wall -O2 -g -o ddcxinfo vesamode.o common.o lrmi.o vbe.o ddcxinfo.o
gcc -Wall -O2 -g   -c -o svgamodes.o svgamodes.c
gcc   svgamodes.o lrmi.o vesamode.o vbe.o   -o svgamodes
gcc -Wall -O2 -g   -c -o modetest.o modetest.c
gcc   modetest.o lrmi.o vesamode.o vbe.o   -o modetest
valentin@darkstar:~/lab/kudzu-1.2.16/ddcprobe$ su
Password:
root@darkstar:/home/valentin/lab/kudzu-1.2.16/ddcprobe# ./ddcprobe
VESA 3.0 detected.
OEM Name: NVIDIA
Vendor Name: NVIDIA Corporation
Product Name: NV34 Board - p162-11n
Product Revision: Chip Rev
Memory installed = 2048 * 64k blocks = 131072kb
Supported standard modes:
        640x400x256
        640x480x256
        800x600x16
        800x600x256
        1024x768x16
        1024x768x256
        1280x1024x16
        1280x1024x256
        320x200x64k
        320x200x16m
        640x480x64k
        640x480x16m
        800x600x64k
        800x600x16m
        1024x768x64k
        1024x768x16m
        1280x1024x64k
        1280x1024x16m
EDID read failed. (No DDC-capable monitor attached?)
root@darkstar:/home/valentin/lab/kudzu-1.2.16/ddcprobe# ./ddcxinfo -modelines
root@darkstar:/home/valentin/lab/kudzu-1.2.16/ddcprobe# ./ddcxinfo -modelines
root@darkstar:/home/valentin/lab/kudzu-1.2.16/ddcprobe#   


Expected results:
~~~~~~~~~~~~~~~~~
When the monitor is connected via old analogue cable (not DVI-D!)
DDC probing is working:

root@darkstar:/home/valentin/lab/kudzu-1.2.16/ddcprobe# ./ddcprobe
VESA 3.0 detected.
OEM Name: NVIDIA
Vendor Name: NVIDIA Corporation
Product Name: NV34 Board - p162-11n
Product Revision: Chip Rev
Memory installed = 2048 * 64k blocks = 131072kb
Supported standard modes:
        640x400x256
        640x480x256
        800x600x16
        800x600x256
        1024x768x16
        1024x768x256
        1280x1024x16
        1280x1024x256
        320x200x64k
        320x200x16m
        640x480x64k
        640x480x16m
        800x600x64k
        800x600x16m
        1024x768x64k
        1024x768x16m
        1280x1024x64k
        1280x1024x16m
EDID ver. 1 rev. 3.
ID: 2648
EISA ID: HWP2648
Serial number: 01010101.
Manufactured in week 11 of 2005.
Input signal type: sync on green, analog signal.
Screen size max 33 cm horizontal, 27 cm vertical.
Gamma: 2.200000.
DPMS flags: RGB, active off, suspend, standby.
Established timings:
        720x400 @ 70 Hz (VGA 640x400, IBM)
        640x480 @ 60 Hz (VGA)
        640x480 @ 67 Hz (Mac II, Apple)
        640x480 @ 75 Hz (VESA)
        800x600 @ 60 Hz (VESA)
        800x600 @ 72 Hz (VESA)
        800x600 @ 75 Hz (VESA)
        832x624 @ 75 Hz (Mac II)
        1024x768 @ 87 Hz Interlaced (8514A)
        1024x768 @ 70 Hz (VESA)
        1024x768 @ 75 Hz (VESA)
        1280x1024 @ 75 Hz (VESA)
Standard timing 0: 60 Hz, 1280x1024
Detailed timing 0:
        Pixel clock: 108000000
        Horizontal active time (pixel width): 256
        Horizontal blank time (pixel width): 1432
        Vertical active time (pixel height): 0
        Vertical blank time (pixel height): 1066
        Horizontal sync offset: 48
        Horizontal sync pulse width: 112
        Vertical sync offset: 3
        Vertical sync pulse width: 1
        Dimensions: 338x270
Monitor details 1:
        Timing ranges: horizontal = 30 - 83, vertical = 50 - 76
Monitor details 2:
        Name: HP L1740
Monitor details 3:
        Serial number: CNK5110GJN
root@darkstar:/home/valentin/lab/kudzu-1.2.16/ddcprobe# ./ddcxinfo -modelines
# 640x480, 60.0Hz; hfreq=31.469000, vfreq=59.939999
ModeLine "640x480"       25.17  640  648  744  784  480  482  484  509 -hsync -vsync
# 640x480, 75.0Hz; hfreq=37.500000, vfreq=75.000000
ModeLine "640x480"       31.50  640  656  720  840  480  481  484  500 -hsync -vsync
# 800x600, 60.0Hz; hfreq=37.879002, vfreq=60.317001
ModeLine "800x600"       40.00  800  840  968 1056  600  601  605  628 +hsync +vsync
# 800x600, 72.0Hz; hfreq=48.077000, vfreq=72.188004
ModeLine "800x600"       50.00  800  856  976 1040  600  637  643  666 +hsync +vsync
# 800x600, 75.0Hz; hfreq=46.875000, vfreq=75.000000
ModeLine "800x600"       49.50  800  816  896 1056  600  601  604  625 +hsync +vsync
# 1024x768, 70.0Hz; hfreq=56.476002, vfreq=70.069000
ModeLine "1024x768"      75.00 1024 1048 1184 1328  768  771  777  806 -hsync -vsync
# 1024x768, 75.0Hz; hfreq=60.022999, vfreq=75.028999
ModeLine "1024x768"      78.75 1024 1040 1136 1312  768  769  772  800 +hsync +vsync
# 1280x1024, 75.0Hz; hfreq=79.975998, vfreq=75.025002
ModeLine "1280x1024"    135.00 1280 1296 1440 1688 1024 1025 1028 1066 +hsync +vsync
root@darkstar:/home/valentin/lab/kudzu-1.2.16/ddcprobe#


Additional info:
~~~~~~~~~~~~~~~~

When the monitor is connected via DVI-D cable (this demonstrate DDC probing is
working in X.org):

valentin@darkstar:~$ cat /var/log/Xorg.0.log | grep -i "NV(0):"
(II) NV(0): Initializing int10
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Chipset: "GeForce FX 5500"
(**) NV(0): Depth 24, (--) framebuffer bpp 32
(==) NV(0): RGB weight 888
(==) NV(0): Default visual is TrueColor
(==) NV(0): Using HW cursor
(--) NV(0): Linear framebuffer at 0xE0000000
(--) NV(0): MMIO registers at 0xF6000000
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "DDC:ddc2" removed.
(II) NV(0):   ... none found
(II) NV(0): Probing for EDID on I2C bus B...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "DDC:ddc2" removed.
(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: HWP  Model: 2649  Serial#: 16843009
(II) NV(0): Year: 2005  Week: 11
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max H-Image Size [cm]: horiz.: 33  vert.: 27
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) NV(0): Default color space is primary color space
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.641 redY: 0.342   greenX: 0.292 greenY: 0.611
(II) NV(0): blueX: 0.147 blueY: 0.068   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Supported VESA Video Modes:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@72Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@72Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 832x624@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@70Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): 1152x870@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 108.0 MHz   Image Size:  338 x 270 mm
(II) NV(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688
h_border: 0
(II) NV(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066
v_border: 0
(II) NV(0): Ranges: V min: 50  V max: 76 Hz, H min: 30  H max: 83 kHz, PixClock
max 140 MHz
(II) NV(0): Monitor name: HP L1740
(II) NV(0): Serial No: CNK5110GJN
(--) NV(0): CRTC 0 is currently programmed for DFP
(II) NV(0): Using DFP on CRTC 0
(--) NV(0): Panel size is 1280 x 1024
(--) NV(0): VideoRAM: 131072 kBytes
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Auto_Configured_Monitor: Using hsync range of 30.00-83.00 kHz
(II) NV(0): Auto_Configured_Monitor: Using vrefresh range of 50.00-76.00 Hz
(II) NV(0): Clock range:  12.00 to 350.00 MHz
(II) NV(0): Not using mode "640x480" (vrefresh out of range)
(II) NV(0): Not using mode "768x576" (vrefresh out of range)
(II) NV(0): Not using mode "768x576" (vrefresh out of range)
(II) NV(0): Not using mode "800x600" (vrefresh out of range)
(II) NV(0): Not using mode "1024x768" (vrefresh out of range)
(II) NV(0): Not using mode "1152x864" (vrefresh out of range)
(II) NV(0): Not using mode "1152x864" (hsync out of range)
(II) NV(0): Not using mode "1280x960" (hsync out of range)
(II) NV(0): Not using mode "1280x1024" (hsync out of range)
(II) NV(0): Mode "1400x1050" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using mode "1400x1050" (unknown reason)
(II) NV(0): Mode "1400x1050" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using mode "1400x1050" (unknown reason)
(II) NV(0): Mode "1400x1050" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using mode "1400x1050" (unknown reason)
(II) NV(0): Mode "1400x1050" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using mode "1400x1050" (unknown reason)
(II) NV(0): Mode "1400x1050" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using mode "1400x1050" (unknown reason)
(II) NV(0): Mode "1600x1200" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using mode "1600x1200" (unknown reason)
(II) NV(0): Not using default mode "640x350" (vrefresh out of range)
(II) NV(0): Not using default mode "320x175" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x400" (vrefresh out of range)
(II) NV(0): Not using default mode "320x200" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "720x400" (vrefresh out of range)
(II) NV(0): Not using default mode "360x200" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "320x240" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "400x300" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "640x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1792x1344" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1792x1344" (unknown reason)
(II) NV(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1792x1344" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1792x1344" (unknown reason)
(II) NV(0): Not using default mode "896x672" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1856x1392" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1856x1392" (unknown reason)
(II) NV(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1856x1392" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1856x1392" (unknown reason)
(II) NV(0): Not using default mode "928x696" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1920x1440" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1920x1440" (unknown reason)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1920x1440" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1920x1440" (unknown reason)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "416x312" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "576x384" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "700x525" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1600x1024" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1600x1024" (unknown reason)
(II) NV(0): Not using default mode "800x512" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "1920x1440" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "1920x1440" (unknown reason)
(II) NV(0): Not using default mode "960x720" (bad mode clock/interlace/doublescan)
(II) NV(0): Mode "2048x1536" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "2048x1536" (unknown reason)
(II) NV(0): Mode "2048x1536" is larger than BIOS programmed panel size of 1280 x
1024.  Removing.
(II) NV(0): Not using default mode "2048x1536" (unknown reason)
(II) NV(0): Not using default mode "2048x1536" (bad mode clock/interlace/doublescan)
(--) NV(0): Virtual size is 1280x1024 (pitch 1280)
(**) NV(0): *Mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 1028
1066 +hsync +vsync
(**) NV(0): *Mode "1152x864": 81.6 MHz, 53.7 kHz, 60.0 Hz
(II) NV(0): Modeline "1152x864"   81.62  1152 1216 1336 1520  864 865 868 895
-hsync +vsync
(**) NV(0): *Mode "1024x768": 78.8 MHz, 60.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1024x768"   78.75  1024 1040 1136 1312  768 769 772 800
+hsync +vsync
(**) NV(0): *Mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) NV(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync
+vsync
(**) NV(0): *Mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) NV(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync
-vsync
(**) NV(0):  Mode "1280x960": 129.9 MHz, 75.2 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x960"  129.86  1280 1368 1504 1728  960 961 964 1002
-hsync +vsync
(**) NV(0):  Mode "1280x960": 124.5 MHz, 72.1 kHz, 72.0 Hz
(II) NV(0): Modeline "1280x960"  124.54  1280 1368 1504 1728  960 961 964 1001
-hsync +vsync
(**) NV(0):  Default mode "1152x768": 65.0 MHz, 44.2 kHz, 54.8 Hz
(II) NV(0): Modeline "1152x768"   65.00  1152 1178 1314 1472  768 771 777 806
+hsync +vsync
(**) NV(0):  Mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) NV(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806
-hsync -vsync
(**) NV(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) NV(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync
-vsync
(**) NV(0):  Mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) NV(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync
+vsync
(**) NV(0):  Mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) NV(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync
+vsync
(**) NV(0):  Mode "768x576": 45.5 MHz, 45.1 kHz, 75.0 Hz
(II) NV(0): Modeline "768x576"   45.51  768 808 888 1008  576 577 580 602 -hsync
+vsync
(**) NV(0):  Mode "768x576": 42.9 MHz, 43.3 kHz, 72.0 Hz
(II) NV(0): Modeline "768x576"   42.93  768 800 880 992  576 577 580 601 -hsync
+vsync
(**) NV(0):  Mode "768x576": 35.0 MHz, 35.8 kHz, 60.0 Hz
(II) NV(0): Modeline "768x576"   34.96  768 792 872 976  576 577 580 597 -hsync
+vsync
(**) NV(0):  Mode "640x480": 25.2 MHz, 32.1 kHz, 63.1 Hz
(II) NV(0): Modeline "640x480"   25.17  640 648 744 784  480 482 484 509 -hsync
-vsync
(--) NV(0): Display dimensions: (330, 270) mm
(--) NV(0): DPI set to (98, 96)
(==) NV(0): Write-combining range (0xe0000000,0x8000000)
(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
(==) NV(0): Backing store disabled
(==) NV(0): Silken mouse enabled
(**) NV(0): DPMS enabled
valentin@darkstar:~$  

When the monitor is connected via old analogue cable (not DVI-D!):

valentin@darkstar:~$ cat /var/log/Xorg.0.log | grep -i "NV(0):"
(II) NV(0): Initializing int10
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Chipset: "GeForce FX 5500"
(**) NV(0): Depth 24, (--) framebuffer bpp 32
(==) NV(0): RGB weight 888
(==) NV(0): Default visual is TrueColor
(==) NV(0): Using HW cursor
(--) NV(0): Linear framebuffer at 0xE0000000
(--) NV(0): MMIO registers at 0xF6000000
(II) NV(0): I2C bus "DDC" initialized.
(II) NV(0): Probing for analog device on output A...
(--) NV(0):   ...found one
(II) NV(0): Probing for analog device on output B...
(--) NV(0):   ...can't find one
(II) NV(0): Probing for EDID on I2C bus A...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "DDC:ddc2" removed.
(--) NV(0): DDC detected a CRT:
(II) NV(0): Manufacturer: HWP  Model: 2648  Serial#: 16843009
(II) NV(0): Year: 2005  Week: 11
(II) NV(0): EDID Version: 1.3
(II) NV(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) NV(0): Sync:  Separate
(II) NV(0): Max H-Image Size [cm]: horiz.: 33  vert.: 27
(II) NV(0): Gamma: 2.20
(II) NV(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) NV(0): Default color space is primary color space
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.641 redY: 0.342   greenX: 0.292 greenY: 0.611
(II) NV(0): blueX: 0.147 blueY: 0.068   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Supported VESA Video Modes:
(II) NV(0): 720x400@70Hz
(II) NV(0): 640x480@60Hz
(II) NV(0): 640x480@72Hz
(II) NV(0): 640x480@75Hz
(II) NV(0): 800x600@60Hz
(II) NV(0): 800x600@72Hz
(II) NV(0): 800x600@75Hz
(II) NV(0): 832x624@75Hz
(II) NV(0): 1024x768@60Hz
(II) NV(0): 1024x768@70Hz
(II) NV(0): 1024x768@75Hz
(II) NV(0): 1280x1024@75Hz
(II) NV(0): 1152x870@75Hz
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported Future Video Modes:
(II) NV(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NV(0): Supported additional Video Mode:
(II) NV(0): clock: 108.0 MHz   Image Size:  338 x 270 mm
(II) NV(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688
h_border: 0
(II) NV(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066
v_border: 0
(II) NV(0): Ranges: V min: 50  V max: 76 Hz, H min: 30  H max: 83 kHz, PixClock
max 140 MHz
(II) NV(0): Monitor name: HP L1740
(II) NV(0): Serial No: CNK5110GJN
(II) NV(0): Probing for EDID on I2C bus B...
(II) NV(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "DDC:ddc2" removed.
(II) NV(0):   ... none found
(--) NV(0): CRTC 0 appears to have a CRT attached
(II) NV(0): Using CRT on CRTC 0
(--) NV(0): VideoRAM: 131072 kBytes
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): Auto_Configured_Monitor: Using hsync range of 30.00-83.00 kHz
(II) NV(0): Auto_Configured_Monitor: Using vrefresh range of 50.00-76.00 Hz
(II) NV(0): Clock range:  12.00 to 350.00 MHz
(II) NV(0): Not using mode "640x480" (vrefresh out of range)
(II) NV(0): Not using mode "768x576" (vrefresh out of range)
(II) NV(0): Not using mode "768x576" (vrefresh out of range)
(II) NV(0): Not using mode "800x600" (vrefresh out of range)
(II) NV(0): Not using mode "1024x768" (vrefresh out of range)
(II) NV(0): Not using mode "1152x864" (vrefresh out of range)
(II) NV(0): Not using mode "1152x864" (hsync out of range)
(II) NV(0): Not using mode "1280x960" (hsync out of range)
(II) NV(0): Not using mode "1280x1024" (hsync out of range)
(II) NV(0): Not using mode "1400x1050" (hsync out of range)
(II) NV(0): Not using mode "1400x1050" (hsync out of range)
(II) NV(0): Not using mode "1600x1200" (hsync out of range)
(II) NV(0): Not using default mode "640x350" (vrefresh out of range)
(II) NV(0): Not using default mode "320x175" (vrefresh out of range)
(II) NV(0): Not using default mode "640x400" (vrefresh out of range)
(II) NV(0): Not using default mode "320x200" (vrefresh out of range)
(II) NV(0): Not using default mode "720x400" (vrefresh out of range)
(II) NV(0): Not using default mode "360x200" (vrefresh out of range)
(II) NV(0): Not using default mode "320x240" (vrefresh out of range)
(II) NV(0): Not using default mode "400x300" (vrefresh out of range)
(II) NV(0): Not using default mode "512x384" (vrefresh out of range)
(II) NV(0): Not using default mode "512x384" (vrefresh out of range)
(II) NV(0): Not using default mode "640x512" (hsync out of range)
(II) NV(0): Not using default mode "1792x1344" (hsync out of range)
(II) NV(0): Not using default mode "896x672" (hsync out of range)
(II) NV(0): Not using default mode "1856x1392" (hsync out of range)
(II) NV(0): Not using default mode "928x696" (hsync out of range)
(II) NV(0): Not using default mode "1856x1392" (hsync out of range)
(II) NV(0): Not using default mode "928x696" (hsync out of range)
(II) NV(0): Not using default mode "1920x1440" (hsync out of range)
(II) NV(0): Not using default mode "960x720" (hsync out of range)
(II) NV(0): Not using default mode "1920x1440" (hsync out of range)
(II) NV(0): Not using default mode "960x720" (hsync out of range)
(II) NV(0): Not using default mode "1920x1440" (hsync out of range)
(II) NV(0): Not using default mode "960x720" (hsync out of range)
(II) NV(0): Not using default mode "2048x1536" (hsync out of range)
(II) NV(0): Not using default mode "2048x1536" (hsync out of range)
(II) NV(0): Not using default mode "2048x1536" (bad mode clock/interlace/doublescan)
(II) NV(0): Not using default mode "1792x1344" (width too large for virtual size)
(II) NV(0): Not using mode "1400x1050" (width too large for virtual size)
(II) NV(0): Not using mode "1400x1050" (width too large for virtual size)
(II) NV(0): Not using mode "1400x1050" (width too large for virtual size)
(--) NV(0): Virtual size is 1280x1024 (pitch 1280)
(**) NV(0): *Mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 1028
1066 +hsync +vsync
(**) NV(0): *Mode "1152x864": 81.6 MHz, 53.7 kHz, 60.0 Hz
(II) NV(0): Modeline "1152x864"   81.62  1152 1216 1336 1520  864 865 868 895
-hsync +vsync
(**) NV(0): *Mode "1024x768": 78.8 MHz, 60.0 kHz, 75.0 Hz
(II) NV(0): Modeline "1024x768"   78.75  1024 1040 1136 1312  768 769 772 800
+hsync +vsync
(**) NV(0): *Mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz
(II) NV(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync
+vsync
(**) NV(0): *Mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz
(II) NV(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync
-vsync
(**) NV(0):  Mode "1280x960": 129.9 MHz, 75.2 kHz, 75.0 Hz
(II) NV(0): Modeline "1280x960"  129.86  1280 1368 1504 1728  960 961 964 1002
-hsync +vsync
(**) NV(0):  Mode "1280x960": 124.5 MHz, 72.1 kHz, 72.0 Hz
(II) NV(0): Modeline "1280x960"  124.54  1280 1368 1504 1728  960 961 964 1001
-hsync +vsync
(**) NV(0):  Default mode "1152x768": 65.0 MHz, 44.2 kHz, 54.8 Hz
(II) NV(0): Modeline "1152x768"   65.00  1152 1178 1314 1472  768 771 777 806
+hsync +vsync
(**) NV(0):  Mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz
(II) NV(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 806
-hsync -vsync
(**) NV(0):  Default mode "896x672": 102.4 MHz, 83.7 kHz, 60.0 Hz (D)
(II) NV(0): Modeline "896x672"  102.40  896 960 1060 1224  672 672 674 697
doublescan -hsync +vsync
(**) NV(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz
(II) NV(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 -hsync
-vsync
(**) NV(0):  Mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz
(II) NV(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 +hsync
+vsync
(**) NV(0):  Mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) NV(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync
+vsync
(**) NV(0):  Mode "768x576": 45.5 MHz, 45.1 kHz, 75.0 Hz
(II) NV(0): Modeline "768x576"   45.51  768 808 888 1008  576 577 580 602 -hsync
+vsync
(**) NV(0):  Mode "768x576": 42.9 MHz, 43.3 kHz, 72.0 Hz
(II) NV(0): Modeline "768x576"   42.93  768 800 880 992  576 577 580 601 -hsync
+vsync
(**) NV(0):  Mode "768x576": 35.0 MHz, 35.8 kHz, 60.0 Hz
(II) NV(0): Modeline "768x576"   34.96  768 792 872 976  576 577 580 597 -hsync
+vsync
(**) NV(0):  Default mode "700x525": 77.9 MHz, 81.5 kHz, 74.8 Hz (D)
(II) NV(0): Modeline "700x525"   77.90  700 732 892 956  525 526 532 545
doublescan +hsync +vsync
(**) NV(0):  Default mode "700x525": 61.0 MHz, 64.9 kHz, 60.0 Hz (D)
(II) NV(0): Modeline "700x525"   61.00  700 744 820 940  525 526 532 541
doublescan +hsync +vsync
(**) NV(0):  Default mode "640x512": 67.5 MHz, 80.0 kHz, 75.0 Hz (D)
(II) NV(0): Modeline "640x512"   67.50  640 648 720 844  512 512 514 533
doublescan +hsync +vsync
(**) NV(0):  Default mode "640x512": 54.0 MHz, 64.0 kHz, 60.0 Hz (D)
(II) NV(0): Modeline "640x512"   54.00  640 664 720 844  512 512 514 533
doublescan +hsync +vsync
(**) NV(0):  Mode "640x480": 25.2 MHz, 32.1 kHz, 63.1 Hz
(II) NV(0): Modeline "640x480"   25.17  640 648 744 784  480 482 484 509 -hsync
-vsync
(**) NV(0):  Default mode "576x432": 54.0 MHz, 67.5 kHz, 75.0 Hz (D)
(II) NV(0): Modeline "576x432"   54.00  576 608 672 800  432 432 434 450
doublescan +hsync +vsync
(**) NV(0):  Default mode "576x384": 32.5 MHz, 44.2 kHz, 54.8 Hz (D)
(II) NV(0): Modeline "576x384"   32.50  576 589 657 736  384 385 388 403
doublescan +hsync +vsync
(**) NV(0):  Default mode "512x384": 39.4 MHz, 60.1 kHz, 75.1 Hz (D)
(II) NV(0): Modeline "512x384"   39.40  512 520 568 656  384 384 386 400
doublescan +hsync +vsync
(**) NV(0):  Default mode "512x384": 37.5 MHz, 56.5 kHz, 70.1 Hz (D)
(II) NV(0): Modeline "512x384"   37.50  512 524 592 664  384 385 388 403
doublescan -hsync -vsync
(**) NV(0):  Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D)
(II) NV(0): Modeline "512x384"   32.50  512 524 592 672  384 385 388 403
doublescan -hsync -vsync
(**) NV(0):  Default mode "416x312": 28.6 MHz, 49.7 kHz, 74.7 Hz (D)
(II) NV(0): Modeline "416x312"   28.64  416 432 464 576  312 312 314 333
doublescan -hsync -vsync
(**) NV(0):  Default mode "400x300": 24.8 MHz, 46.9 kHz, 75.1 Hz (D)
(II) NV(0): Modeline "400x300"   24.75  400 408 448 528  300 300 302 312
doublescan +hsync +vsync
(**) NV(0):  Default mode "400x300": 25.0 MHz, 48.1 kHz, 72.2 Hz (D)
(II) NV(0): Modeline "400x300"   25.00  400 428 488 520  300 318 321 333
doublescan +hsync +vsync
(**) NV(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
(II) NV(0): Modeline "400x300"   20.00  400 420 484 528  300 300 302 314
doublescan +hsync +vsync
(**) NV(0):  Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
(II) NV(0): Modeline "400x300"   18.00  400 412 448 512  300 300 301 312
doublescan +hsync +vsync
(**) NV(0):  Default mode "320x240": 15.8 MHz, 37.5 kHz, 75.0 Hz (D)
(II) NV(0): Modeline "320x240"   15.75  320 328 360 420  240 240 242 250
doublescan -hsync -vsync
(**) NV(0):  Default mode "320x240": 15.8 MHz, 37.9 kHz, 72.8 Hz (D)
(II) NV(0): Modeline "320x240"   15.75  320 332 352 416  240 244 245 260
doublescan -hsync -vsync
(**) NV(0):  Default mode "320x240": 12.6 MHz, 31.5 kHz, 60.1 Hz (D)
(II) NV(0): Modeline "320x240"   12.60  320 328 376 400  240 245 246 262
doublescan -hsync -vsync
(--) NV(0): Display dimensions: (330, 270) mm
(--) NV(0): DPI set to (98, 96)
(==) NV(0): Write-combining range (0xe0000000,0x8000000)
(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
(==) NV(0): Backing store disabled
(==) NV(0): Silken mouse enabled
(**) NV(0): DPMS enabled
valentin@darkstar:~$    

valentin@darkstar:~$ cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 4
model name      : AMD Athlon(tm) 64 Processor 2800+
stepping        : 10
cpu MHz         : 1802.537
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext lm 3dnowext 3dnow
bogomips        : 3609.26

valentin@darkstar:~$    

root@darkstar:~# lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host Bridge (rev 01)
        Subsystem: ASUSTeK Computer Inc. K8V Deluxe/K8V-X motherboard
        Flags: bus master, 66Mhz, medium devsel, latency 8
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [80] AGP version 3.5
        Capabilities: [c0] #08 [0060]
        Capabilities: [68] Power Management version 2
        Capabilities: [58] #08 [8001]

00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890
South] (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: f5300000-f74fffff
        Prefetchable memory behind bridge: d5200000-f51fffff
        Capabilities: [80] Power Management version 2

00:0a.0 Ethernet controller: Marvell Technology Group Ltd. 88E8001 Gigabit
Ethernet Controller (rev 13)
        Subsystem: ASUSTeK Computer Inc. Marvell 88E8001 Gigabit Ethernet
Controller (Asus)
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 10
        Memory at f7c00000 (32-bit, non-prefetchable) [size=16K]
        I/O ports at ec00 [size=256]
        Expansion ROM at f7b00000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data

00:0c.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: Realtek Semiconductor Co., Ltd. RT8139
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at b000 [size=256]
        Memory at f7e00000 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at f7d00000 [disabled] [size=64K]
        Capabilities: [50] Power Management version 2

00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID
Controller (rev 80)
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V Deluxe/K8V-X motherboard
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at e800 [size=8]
        I/O ports at e400 [size=4]
        I/O ports at e000 [size=8]
        I/O ports at d800 [size=4]
        I/O ports at d400 [size=16]
        I/O ports at d000 [size=256]
        Capabilities: [c0] Power Management version 2

00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06) (prog-if 8a
[Master SecP PriP])
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at fc00 [size=16]
        Capabilities: [c0] Power Management version 2

00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at b400 [size=32]
        Capabilities: [80] Power Management version 2

00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at b800 [size=32]
        Capabilities: [80] Power Management version 2

00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at c000 [size=32]
        Capabilities: [80] Power Management version 2

00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at c400 [size=32]
        Capabilities: [80] Power Management version 2

00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86) (prog-if 20 [EHCI])
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
        Flags: bus master, medium devsel, latency 64, IRQ 5
        Memory at f7f00000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2

00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge
[KT600/K8T800/K8T890 South]
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X motherboard
        Flags: bus master, stepping, medium devsel, latency 0
        Capabilities: [c0] Power Management version 2

00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 60)
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V Deluxe motherboard (ADI
AD1980 codec [SoundMAX])
        Flags: medium devsel, IRQ 5
        I/O ports at c800 [size=256]
        Capabilities: [c0] Power Management version 2

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
        Flags: fast devsel
        Capabilities: [80] #08 [2101]

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
        Flags: fast devsel

01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5500]
(rev a1) (prog-if 00 [VGA])
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (32-bit, prefetchable) [size=256M]
        Expansion ROM at f7400000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0

root@darkstar:~#    

The logs:
http://d.interbild.net/vstoykov/tmp/bugs/kudzu_bug_report/Xorg.0.log_when_using_cable_DVI-D
http://d.interbild.net/vstoykov/tmp/bugs/kudzu_bug_report/Xorg.0.log_when_using_old_analogue_cable
The file xorg.conf:
http://d.interbild.net/vstoykov/tmp/bugs/kudzu_bug_report/xorg.conf
Comment 1 Valentin Stoykov 2005-12-31 08:27:43 EST
Created attachment 122661 [details]
configuration file
Comment 2 Valentin Stoykov 2005-12-31 08:28:57 EST
Created attachment 122662 [details]
The X.org's log when using DVI-D cable
Comment 3 Valentin Stoykov 2005-12-31 08:31:31 EST
Created attachment 122663 [details]
The X.org's log when using old analogue cable

When using this interface:
http://en.wikipedia.org/wiki/VGA_connector
Comment 4 Bill Nottingham 2006-01-01 02:10:58 EST
X is directly poking on the I2C bus with nvidia specific code... kudzu can't
really do that.

Later releases (1.2.15 or later) will use the EDID info in ACPI, which does look
include DVI connections, if they're available. Aside from that, there's not much
we can do.

Note You need to log in before you can comment on or make changes to this bug.